const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const exe = b.addExecutable(.{
        .name = "rotint",
        .root_source_file = b.path("src/main.zig"),
        .target = target,
        .optimize = optimize,
    });

    const xev_dep = b.dependency(
        "xev",
        .{ .target = target, .optimize = optimize },
    );
    exe.root_module.addImport("xev", xev_dep.module("xev"));
    b.installArtifact(exe);

    const vaxis_dep = b.dependency(
        "vaxis",
        .{ .target = target, .optimize = optimize, .images = false },
    );
    exe.root_module.addImport("vaxis", vaxis_dep.module("vaxis"));
    b.installArtifact(exe);

    const run_cmd = b.addRunArtifact(exe);

    run_cmd.step.dependOn(b.getInstallStep());

    if (b.args) |args| {
        run_cmd.addArgs(args);
    }

    const run_step = b.step("run", "Run the app");
    run_step.dependOn(&run_cmd.step);
}
